/**
 *
 * @authors zhongliang.hee (you@example.org)
 * @date    2018-04-03 18:27:38
 * @version $Id$
 * @description:
 * 由于部分逻辑通过bridge异步执行比较不巧当，还是保留部分同步执行的方法
 * 1：获取网络状态
 * 2：获取设备信息
 */
const CLIENT = typeof window !== 'undefined';
(function (){
    if (!CLIENT){
        return;
    }

    var initRegisterBridge = function (){
        if (!window.WebViewJavascriptBridge){
            return;
        }
        window.WebViewJavascriptBridge.registerHandler('NA_Awake', function (data, responseCallback){

        });
    };
    window.addEventListener('load', function (){
        window.FastClick.attach(window.document.body);
    });

    /**
     * @description [初始化jsBridge]
     */
    var u = window.navigator.userAgent;
    var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;
    if (isAndroid){
        window.document.addEventListener(
            'WebViewJavascriptBridgeReady',
            function (){
                window.WebViewJavascriptBridge.init(function (message, responseCallback){
                    var data = {
                        'Javascript Responds': '测试中文!'
                    };
                    responseCallback(data);
                });

                // 注册h5回调方法
                initRegisterBridge();
            },
            false
        );
    } else {
        var WVJBIframe = window.document.createElement('iframe');
        WVJBIframe.style.display = 'none';
        WVJBIframe.src = 'https://__bridge_loaded__';
        window.WVJBCallbacks = [];
        window.document.documentElement.appendChild(WVJBIframe);
        setTimeout(function (){
            window.document.documentElement.removeChild(WVJBIframe);
            if (window.WebViewJavascriptBridge){

                // 注册h5回调方法
                initRegisterBridge();
            }
        }, 30);
    }
})();
